
TYPO3.Fluid - Bug # 3985

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: ViewHelpers
Created: 2009-07-27 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: f:form.textbox is not usable anymore without wrapping an f:form element 
Description

Hi,
you have been able to use ViewHelper form.textbox as standalone to create an input field.
Since some time (cannot say revision) this is not possible anymore. The ViewHelper tries to access something of the parent Object
(formName).

If there is no form wrapped a Fatal error will be raised.

Associated revisions
Revision 10280a43 - 2009-10-21 18:52 - Bastian Waidelich

[~TASK] Fluid (ViewHelpers): Added some checks to make form view helper usable without the surrounding f:form tag. This resolves #3985.

History
#1 - 2009-08-14 11:27 - Jochen Rau
- Status changed from New to Needs Feedback

@Bastian: Could you please check, if this is a Bug or a missing feature ;-)

#2 - 2009-09-07 13:58 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#3 - 2009-09-07 14:00 - Bastian Waidelich
- Category set to ViewHelpers
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

First: why would you want to place a fluid textbox outside of a form?

#4 - 2009-09-18 13:45 - Steffen Ritter

Bastian Waidelich wrote:

First: why would you want to place a fluid textbox outside of a form?
Since for ajax Requests a wrapped form is not needed. XHTML does not ask for it either.
Imagine you have a select box/radiobutton which is used by JS to change some layout on webbpage etc.
In my case I just use it as a search box which triggers extJS AJAX Filter...
For sure i Could hardocde this one... but why should I, if there is a viewhelper which takes care of a correct field just giving the name.

regards

Steffen

#5 - 2009-10-21 19:02 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r3336.
